Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class ShoppingCart

    java.lang.Object
      com.ibm.able.examples.rules.ShoppingCart

All Implemented Interfaces:
  java.io.Serializable

public class ShoppingCart
extends java.lang.Object
implements java.io.Serializable

A shopping cart has a name and contains objects.

See Also:
  Serialized Form

Constructor Summary
`ShoppingCart()`
`ShoppingCart(java.lang.String name)`
`ShoppingCart(java.lang.String name, java.lang.Object[] contents)`
`ShoppingCart(java.lang.String name, java.util.Vector contents)`

Method Summary
`boolean` | `contains(java.lang.String item)`
`java.util.Vector` | `getContents()`
`java.lang.String` | `getName()`
`void` | `setContents(java.util.Vector contents)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShoppingCart

    public ShoppingCart()

### ShoppingCart

    public ShoppingCart(java.lang.String name)

### ShoppingCart

    public ShoppingCart(java.lang.String name,
                        java.util.Vector contents)

### ShoppingCart

    public ShoppingCart(java.lang.String name,
                        java.lang.Object[] contents)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getContents

    public java.util.Vector getContents()

### setContents

    public void setContents(java.util.Vector contents)

### contains

    public boolean contains(java.lang.String item)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005